Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Interface DatatypeManager

All Known Implementing Classes:
  DefaultDatatypeManager

public interface DatatypeManager

Work interface for the component that manages the datatypes.

See also `Datatype` and `DefaultDatatypeManager`.

Version:
  $Id: DatatypeManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`static String` | `ROLE`

Method Summary
`Convertor` | `createConvertor(String dataTypeName, Element convertorElement)` Creates a convertor based on an XML description.
`Datatype` | `createDatatype(Element datatypeElement, boolean arrayType)` Creates a datatype from an XML description.
`ValidationRule` | `createValidationRule(Element validationRuleElement)` Creates a validation rule from an XML description.

Field Detail

### ROLE

    public static final String ROLE

Method Detail

### createDatatype

    public Datatype createDatatype(Element datatypeElement,
                                   boolean arrayType)
                            throws Exception

  Creates a datatype from an XML description.

  Throws:
    `Exception`

### createValidationRule

    public ValidationRule createValidationRule(Element validationRuleElement)
                                        throws Exception

  Creates a validation rule from an XML description. This will usually be used by the `DatatypeBuilder`s while building a `Datatype`.

  Throws:
    `Exception`

### createConvertor

    public Convertor createConvertor(String dataTypeName,
                                     Element convertorElement)
                              throws Exception

  Creates a convertor based on an XML description.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.